Subject: bug#7688: 23.2; can't un-customize default-frame-alist

From: Glenn Morris <[email-masked]>
Date: Wed, 25 May 2011 14:40:08 -0400

Dave Abrahams wrote:

>   $ mkdir /tmp/x
>   $ HOME=/tmp/x emacs
>   M-x customize-variable default-frame-alist
>   <delete both elements of the alist using the customize interface>
>   <set and save changes>
>   C-x C-c
>   $ HOME=/tmp/x emacs
>   M-x customize-variable default-frame-alist
>   <note that the customizations /appear/ to be gone!>
>   <press 'Erase Customizations'>
>   
> I get "Invalid Function: (menu-bar-lines . 1)"

Can you try the current bzr trunk version of Emacs?
I think this might be fixed there, though I don't know what fixed it.

> In GNU Emacs 23.2.1 (x86_64-apple-darwin, NS apple-appkit-1038.29)